// ConaitoObject.h: interface for the CConaitoObject class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONAITOOBJECT_H__0AF0E956_027A_4688_8557_665BE27ED743__INCLUDED_)
#define AFX_CONAITOOBJECT_H__0AF0E956_027A_4688_8557_665BE27ED743__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ConaitoProxyServerLib\ConaitoProxyServer.h"

class CVaxConfProxyServerCtrl;

class CConaitoObject : public CConaitoProxyServer 
{
public:
	CConaitoObject();
	~CConaitoObject();

public:
	
	void OnRegisteration(CString sUniqueId, CString sParam1,CString sParam2,CString sParam3,CString sParam4, CString sParam5, CString sFromIP, UINT nFromPort, CString sLocalIP, UINT nLocalPort);
	void OnUnRegisteration(CString sUniqueId);
	void OnConnectionLost(CString sUniqueId);

	void OnServerTextMsg(CString sFromUniqueId, CString sTextMsg);
	void OnTextMsg(CString sFromUniqueId, CString sToUniqueId, CString sTextMsg);

	void OnConversationConnected(DWORD dwEventHandle, CString sFromUniqueId, CString sToUniqueId);
	void OnConversationAccepted(DWORD dwEventHandle, CString sFromUniqueId, CString sToUniqueId);
	void OnConferenceConnected(DWORD dwEventHandle, CString sFromUniqueId, CString sToUniqueId);
	void OnConferenceAccepted(DWORD dwEventHandle, CString sFromUniqueId, CString sToUniqueId);
	void OnAddConference(DWORD dwEventHandle, CString sFromUniqueId, CString sToUniqueId, CString sAddConfUniqueId);

};

#endif // !defined(AFX_CONAITOOBJECT_H__0AF0E956_027A_4688_8557_665BE27ED743__INCLUDED_)
